summaryrefslogtreecommitdiffstats
path: root/libraries/guichan
diff options
context:
space:
mode:
author Erik Hanson <erik@slackbuilds.org>2010-05-11 14:56:15 +0200
committer Erik Hanson <erik@slackbuilds.org>2010-05-11 14:56:15 +0200
commit8014ab687095b56ff69f33ca8e6a460694be4d80 (patch)
tree52d9601a20b27afdeb444af0f6ac7ec4dcb6542d /libraries/guichan
parent059b8477e30b1d264bafd684614848d94e09d627 (diff)
downloadslackbuilds-8014ab687095b56ff69f33ca8e6a460694be4d80.tar.gz
slackbuilds-8014ab687095b56ff69f33ca8e6a460694be4d80.tar.xz
libraries/guichan: Initial import
Diffstat (limited to 'libraries/guichan')
-rw-r--r--libraries/guichan/README3
-rw-r--r--libraries/guichan/guichan.SlackBuild55
-rw-r--r--libraries/guichan/guichan.info8
-rw-r--r--libraries/guichan/slack-desc11
4 files changed, 77 insertions, 0 deletions
diff --git a/libraries/guichan/README b/libraries/guichan/README
new file mode 100644
index 0000000000..416d0e9a6e
--- /dev/null
+++ b/libraries/guichan/README
@@ -0,0 +1,3 @@
+Guichan is a small, efficient C++ GUI library designed for games.
+It comes with a standard set of widgets and can use several
+different objects for displaying graphics and grabbing user input.
diff --git a/libraries/guichan/guichan.SlackBuild b/libraries/guichan/guichan.SlackBuild
new file mode 100644
index 0000000000..e7c3cfa639
--- /dev/null
+++ b/libraries/guichan/guichan.SlackBuild
@@ -0,0 +1,55 @@
+#!/bin/sh
+
+# Slackware build script for guichan
+# Written by Erik Hanson erik@slackbuilds.org
+
+PRGNAM=guichan
+VERSION=0.5.0
+ARCH=${ARCH:-i486}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+CWD=`pwd`
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+fi
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP || exit 1
+rm -rf $PRGNAM-$VERSION-src
+tar xzvf $CWD/$PRGNAM-$VERSION-src.tar.gz || exit 1
+cd $PRGNAM-$VERSION-src || exit 1
+chown -R root:root .
+chmod -R a-s,u+w,go+r-w .
+
+CFLAGS="$SLKCFLAGS" \
+./configure \
+ --prefix=/usr \
+ --sysconfdir=/etc \
+ --localstatedir=/var \
+ || exit 1
+
+make || exit 1
+make install DESTDIR=$PKG || exit 1
+
+( cd $PKG
+ find . | xargs file | grep "executable" | grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null
+ find . | xargs file | grep "shared object" | grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null
+)
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -ar AUTHORS COPYING ChangeLog NEWS README TODO docs/html \
+ $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.tgz
diff --git a/libraries/guichan/guichan.info b/libraries/guichan/guichan.info
new file mode 100644
index 0000000000..62f719c98d
--- /dev/null
+++ b/libraries/guichan/guichan.info
@@ -0,0 +1,8 @@
+PRGNAM="guichan"
+VERSION="0.5.0"
+HOMEPAGE="http://guichan.sourceforge.net/"
+DOWNLOAD="http://dl.sourceforge.net/sourceforge/guichan/guichan-0.5.0-src.tar.gz"
+MD5SUM="c9fcbcb360105247da06afc5c643e664"
+MAINTAINER="Erik Hanson"
+EMAIL="erik@slackbuilds.org"
+APPROVED="elohim,robw810"
diff --git a/libraries/guichan/slack-desc b/libraries/guichan/slack-desc
new file mode 100644
index 0000000000..f3209aa548
--- /dev/null
+++ b/libraries/guichan/slack-desc
@@ -0,0 +1,11 @@
+guichan: guichan - Darkbits Graphical User Interface Library for games.
+guichan:
+guichan: Guichan is a small, efficient C++ GUI library designed for games.
+guichan: It comes with a standard set of widgets and can use several
+guichan: different objects for displaying graphics and grabbing user input.
+guichan:
+guichan:
+guichan:
+guichan:
+guichan: http://guichan.sourceforge.net/
+guichan: